DecoderUtil
Date: 2017-02-08

org.tukaani.xz.common

## Class DecoderUtil

- java.lang.Object
- - org.tukaani.xz.common.Util
  - - org.tukaani.xz.common.DecoderUtil

-     public class DecoderUtil
      extends Util

- - ### Field Summary

    - ### Fields inherited from class org.tukaani.xz.common.Util

      `BACKWARD_SIZE_MAX, BLOCK_HEADER_SIZE_MAX, STREAM_HEADER_SIZE, VLI_MAX, VLI_SIZE_MAX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecoderUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `areStreamFlagsEqual(StreamFlags a, StreamFlags b)`
    `static StreamFlags` | `decodeStreamFooter(byte[] buf)`
    `static StreamFlags` | `decodeStreamHeader(byte[] buf)`
    `static long` | `decodeVLI(java.io.InputStream in)`
    `static boolean` | `isCRC32Valid(byte[] buf, int off, int len, int ref_off)`

    - ### Methods inherited from class org.tukaani.xz.common.Util

      `getVLISize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecoderUtil

          public DecoderUtil()

  - ### Method Detail

    - #### isCRC32Valid

          public static boolean isCRC32Valid(byte[] buf,
                             int off,
                             int len,
                             int ref_off)

    - #### decodeStreamHeader

          public static StreamFlags decodeStreamHeader(byte[] buf)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decodeStreamFooter

          public static StreamFlags decodeStreamFooter(byte[] buf)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### areStreamFlagsEqual

          public static boolean areStreamFlagsEqual(StreamFlags a,
                                    StreamFlags b)

    - #### decodeVLI

          public static long decodeVLI(java.io.InputStream in)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`